org.apache.geode.cache.query.data

## Class PositionNoDS

- java.lang.Object
- - org.apache.geode.cache.query.data.PositionNoDS

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable

      public class PositionNoDS
      extends java.lang.Object
      implements java.io.Serializable, java.lang.Comparable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `cnt`
    `double` | `mktValue`
    `int` | `portfolioId`
    `java.lang.String` | `secId`
    `java.lang.String` | `secIdIndexed`
    `java.lang.String` | `secType`
    `java.lang.String` | `underlyer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PositionNoDS()`
    `PositionNoDS(java.lang.String id, double out)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(java.lang.Object o)`
    `boolean` | `equals(java.lang.Object o)`
    `java.util.Set` | `getCol()`
    `int` | `getId()`
    `double` | `getMktValue()`
    `int` | `getPid()`
    `java.lang.String` | `getSecId()`
    `java.util.Set` | `getSet(int size)`
    `double` | `getSharesOutstanding()`
    `int` | `hashCode()`
    `static void` | `resetCounter()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### mktValue

          public double mktValue

    - #### secId

          public java.lang.String secId

    - #### secIdIndexed

          public java.lang.String secIdIndexed

    - #### secType

          public java.lang.String secType

    - #### underlyer

          public java.lang.String underlyer

    - #### cnt

          public static int cnt

    - #### portfolioId

          public int portfolioId

  - ### Constructor Detail

    - #### PositionNoDS

          public PositionNoDS()

    - #### PositionNoDS

          public PositionNoDS(java.lang.String id,
                              double out)

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### resetCounter

          public static void resetCounter()

    - #### getMktValue

          public double getMktValue()

    - #### getSecId

          public java.lang.String getSecId()

    - #### getId

          public int getId()

    - #### getSharesOutstanding

          public double getSharesOutstanding()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getSet

          public java.util.Set getSet(int size)

    - #### getCol

          public java.util.Set getCol()

    - #### getPid

          public int getPid()

    - #### compareTo

          public int compareTo(java.lang.Object o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable`